Subject: Re: [PATCH] perf build: Suppress openssl v3 deprecation warnings in libcrypto feature test

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Wed, 3 Aug 2022 13:01:07 -0300

Em Wed, Aug 03, 2022 at 09:32:48AM +0200, Jiri Olsa escreveu:
> On Tue, Aug 02, 2022 at 03:09:05PM -0300, Arnaldo Carvalho de Melo wrote:
> > Em Mon, Aug 01, 2022 at 03:24:18PM +0200, Jiri Olsa escreveu:
> > > On Tue, Jun 28, 2022 at 08:16:06AM +0200, Jiri Olsa wrote:
> > > > On Mon, Jun 27, 2022 at 11:08:34AM +0800, 谭梓煊 wrote:
> > > > > #ifdef HAVE_LIBCRYPTO                <-- but check this, it's always false

> > > > nice :)

> > > > > #define BUILD_ID_MD5
> > > > > #undef BUILD_ID_SHA /* does not seem to work well when linked with Java */
> > > > > #undef BUILD_ID_URANDOM /* different uuid for each run */

> > > > > #ifdef BUILD_ID_SHA
> > > > > #include <openssl/sha.h>
> > > > > #endif

> > > > > #ifdef BUILD_ID_MD5
> > > > > #include <openssl/md5.h>
> > > > > #endif
> > > > > #endif                               <-- this block will be skipped
> > > > > ```

> > > > > Maybe we should fix this, to really make use of libcrypto if it is available?

> > > > yea, I think that was the original idea, let's keep the variable with
> > > > SUPPORT suffix and use the -Wdeprecated-declarations for genelf.c
> > > > 
> > > > full fix would be to detect the new API and use it when it's available but..
> > > > given that the check was false at least since 2016, perhaps we could remove
> > > > that code? ;-) Stephane?
> > > 
> > > ping
> > 
> > So, we should start with 谭梓煊 patch, then fix that ifdef and go on
> > from there?
> 
> yes, I thought we could remove that, but there's no reply from
> Stephane so let's fix that

Yeah, I did it and it seems to build, so lets ship it :-)

- Arnaldo